package com.wd.workoffice.ui.adapter;


import android.text.TextUtils;

import com.chad.library.adapter.base.BaseQuickAdapter;
import com.chad.library.adapter.base.BaseViewHolder;
import com.wd.workoffice.R;
import com.wd.workoffice.bean.DepBean;
import com.wd.workoffice.bean.LogisticBean;
import com.wd.workoffice.util.WorkUtils;

import java.util.List;

/**
 * Created by flexible on 2018/8/13.
 */

public class WorkLogisticAdapter extends BaseQuickAdapter<LogisticBean.RecordsBean, BaseViewHolder> {

    public WorkLogisticAdapter(int layoutResId, List data) {
        super(layoutResId, data);
    }


    @Override
    protected void convert(BaseViewHolder helper, LogisticBean.RecordsBean item) {
        helper.setText(R.id.tv_name, item.getLogisticsName());
        helper.setText(R.id.tv_receive_dep, item.getReceiveDeptName());
        helper.setText(R.id.tv_status, WorkUtils.getFinancialStatus(Integer.valueOf(item.getStatus())));
        helper.setText(R.id.tv_apply, item.getCreatedUser());
        helper.setText(R.id.tv_time, item.getCreatedTime());
    }
}

